*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;

    font-family: "Ubuntu", sans-serif;
    font-weight: 400;
    font-style: normal;
}
body{
    background-color: hsl(217, 100%, 97%);
}

.main_container{
    display: flex;
    width: 55%;
    margin: 8rem auto;
    height: 30rem;
    background-color: white;
    border-radius: 0.4rem;
}


.main_left_container{
    width: 28%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
.left_container{
    height: 95%;
    border-radius: 0.4rem;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    color: white;
    background: url(../../assets/images/bg-sidebar-desktop.svg);
    background-position: center;
    background-size: cover;
}
.steps{
    display: flex;
    margin: 1rem;

    .count{
        width: 2rem;
        height: 2rem;
        display: flex;
        justify-content: center;
        align-items: center;
        border: 2px solid hsl(0, 0%, 100%);
        border-radius: 30rem;

    }
    #active{
        background-color: hsl(206, 94%, 87%);
        color: hsl(213, 96%, 18%);
        border: none;
    }
}
.step_information {
    display: flex;
    flex-direction: column;
    margin: 0 1rem;

    .step_count{
        font-size: 0.7rem;
        color:  hsl(229, 24%, 87%);
    }
}


.main_right_container{
    width: 72%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.right_container{
    width: 85%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: 90%;

    .heading {
        h1{
            margin: 0.8rem 0;
            font-weight: 700;
        }
        h4{
            font-weight: 400;
            color: hsl(231, 11%, 63%);
        }
    }
}

.label_holder{
    display: flex;
    justify-content: space-between;
    font-size: 0.8rem;
}
form{
    display: flex;
    flex-direction : column;
    margin-top: -4rem;
    border: none;
}

form label{
    margin-top: 0.5rem ;
}
form input{
    margin : 0.2rem 0;
    padding: 0.6rem;
    
    border-radius: 0.3rem;
    border: 0.02rem solid hsl(231, 11%, 63%);  
}
form input ::placeholder{
    color : hsl(231, 11%, 63%);
    font-weight: 400;;
}
form input:focus{
    font-weight: 500;
    outline: none;
    color: hsl(213, 96%, 18%);
    border: 0.1rem solid hsl(243, 100%, 62%);
}


a{
    padding: 0.6rem 1rem;
    border-radius: 0.3rem;
    background-color: hsl(213, 96%, 18%);
    color: #FFFFFF;
    text-decoration: none;
}
a:hover{
    cursor: pointer;
}
.next_step_btn_page1{
    display: flex;
    
    flex-direction: row;
    justify-content: flex-end;
}


@media (max-width: 900px){
    .main_container {
        width: 90%;
    }
}

@media (max-width: 550px) {
    body{
        background-color: white;
        position: relative;
    }
    .main_container{
        flex-direction: column;
        width: 100%;
        margin: 0;
        height: 40rem;
    }

    .main_left_container{
        width: 100%;
        height: 20%;
    }
    .left_container{
        width: 100%;
        flex-direction: row;
        justify-content: center;
        height: 100%;
        background: url('../../assets/images/bg-sidebar-mobile.svg');
        background-repeat: no-repeat;
        background-position: center;
        background-size: cover;
        .step_information{
            display: none;
        }
    }

    .main_right_container{
        width: 100%;
        background-color: hsl(217, 100%, 97%);;
        height: 70%;
    }

    .right_container{
        height: 90%;
        background-color: #FFFFFF;
        align-items: center;
        border-radius: 1rem;
        margin-top: -38%; 
        justify-content: space-evenly;
        .heading{
            width: 90%;
        }
        form{
            width: 90%;
            margin-top: -1.5rem;;

            input::placeholder{
                font-size: 0.8rem;
            }
            .label_holder{
                padding: 0.3rem 0;
            }
        }

    }
    .next_step_btn_page1{
        position: absolute;
        width: 90%;
        bottom : 0.9rem;
    }
}